> ## Documentation Index
> Fetch the complete documentation index at: https://help.decodo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add whitelisted IPs

> Whitelist your IPs here for Residential subscription



## OpenAPI

````yaml /api-reference/jero_public_api.yaml post /v2/whitelisted-ips
openapi: 3.1.0
info:
  title: Smartproxy
  version: '1.2'
servers:
  - url: https://api.decodo.com
security:
  - sec0: []
tags:
  - name: Sub-users
    description: Manage sub-users for Residential subscription
  - name: Whitelisted IPs
    description: Manage whitelisted IPs for Residential subscription
  - name: Endpoints
    description: Manage and generate proxy endpoints
  - name: Subscriptions
    description: Subscription information
paths:
  /v2/whitelisted-ips:
    post:
      tags:
        - Whitelisted IPs
      summary: Add whitelisted IPs
      description: Whitelist your IPs here for Residential subscription
      operationId: add-whitelisted-ips
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                IPAddressList:
                  type: array
                  items:
                    type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                type: object
                properties: {}
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    {
                      "error_code":"bad_request"
                      "message":"Can not process request"
                    }
      deprecated: false
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization

````